Subject: Re: VMS port of Pine

From: Mike Brudenell <[email-masked]>
Date: Fri, 28 May 93 08:23:31 +0000

Gosh!  Isn't it amazing when you open your mouth!

I've had a lot of queries from people asking about "my" VMS port of Pine.  I
think I'd better clear up some misapprehensions before I get inundated!

*  I took the standard Pine 3.07 distribution kit and unpacked it on VMS.

*  We are using DEC's UCX (now called TCP/IP Services for VMS?) software as a
transport mechanism, and I wanted to see if I could get the Pine *client* (NB.
*Not* the impad daemon) working under VMS, so VMS users could query the imapd
running on our UNIX boxes.

*  After about an afternoon of minor fiddling with the c-client sources they all
compiled happily under VAXC and linked with the UCX libraries.  The "mtest" test
program worked: you could connect to the UNIX IMAP service and login, list your
messages, etc..

*  Then came a LOT of fiddling with the Pico and Pine stuff.  Unfortunately
Pico/Pine are very much into using UNIX's curses or terminfo databases, and lots
of ioctl calls that VAXC does not provide or fully implement :-(

*  I decided I couldn't progress any further.  After keeping the c-client
sources around for ages I eventually had to delete them ... one week before all
this started (sigh!).

*  The c-client stuff really is trivial to get up and working.  The one gotcha
is that you should *resist* the temptation to bundle all the object files into
an object library (a ".olb" file, the equivalent of the ".a" libraries on UNIX)
as this causes the linker to create an incorrect executable (the problem lies in
the linking in of the mail drivers to the main program).  Instead keep all the
object files separate and link them explicitly.

*  Some brave sole might be able to fake some terminfo or curses "compatibility"
routines which provide sufficient know-how to drive, say, a VT100 type terminal
(this should satisfy virtually everyone!).  I can't.  This would deal with the
output side of things.

*  This leaves the input side, where someone would need to figure out about
single key I/O and things.  Given that there already exist similar program (such
as the Gopher 1.12 program which compiles happily under VAX/VMS with VAXC and
UCX) this may not be too much of a problem for someone withthe time and
expertise.  I'm afraid I certainly don't have at least the former :-(

So to summarise....

There is and will be no progress on a VMS Pine client from me, I'm afraid.

If someone else manages to get such a beastie up and running (preferably Pine
3.07) I would be *VERY* interested, as it would grealy help us in our gentle
migration from VMS to UNIX over the next couple of years.  *PLEASE* let me
know!

I hope this clears everything up a bit (I never actually said in my original
message that I was still actively working on a port, but hope springs eternal in
people's hearts, I suppose! :-)

                                                        Mike B-)